Folge 6 – Dateieigenschaften

In dieser Episode geht es um die Dateieigenschaften und deren Manipulation.

Und an dieser Stelle der Code der im Makro vorhanden ist.

'Aufgabenstellung:
'Es soll in den benutzerdefinierten Dateiinformationen
'der Nutzer eingetragen werden, der diese Datei zuletzt
'verändert hat. Weiter soll ein Zähler mitlaufen der
'anzeigt die vielte Änderung das durch den entsprechenden
'Nutzer war. Zu guter letzt soll immer das aktuelle Datum mit
'der letzten Änderung eingetragen werden.
Option Explicit
Sub main()
    Dim benutzername As String
    benutzername = "Bernd Hornemann"
    
    Dim vornachname As String
    Dim aenderungsindex As String
    Dim datum As String
    
    vornachname = "VorNachname1"
    aenderungsindex = "ÄnderungsIndex1"
    datum = "Datum1"
    
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    
    Dim swModel As ModelDoc2
    Set swModel = swApp.ActiveDoc
    
    If swModel Is Nothing Then
        swApp.SendMsgToUser "Kein Dokument geladen!"
        Exit Sub
    End If
    
    Dim swModelDocExtension As ModelDocExtension
    Set swModelDocExtension = swModel.Extension
    
    Dim swCustomPropertyManager As CustomPropertyManager
    Set swCustomPropertyManager = swModelDocExtension.CustomPropertyManager("")
    
    Dim value As String
    value = swCustomPropertyManager.Get(vornachname)
    
    If value = benutzername Then
        Dim aktueller_index As String
        aktueller_index = swCustomPropertyManager.Get(aenderungsindex)
        swCustomPropertyManager.Set aenderungsindex, aktueller_index + 1
        swCustomPropertyManager.Set datum, Date
    Else
        Dim result_code As Integer
        result_code = swCustomPropertyManager.Add3(vornachname, swCustomInfoType_e.swCustomInfoText, benutzername, swCustomPropertyAddOption_e.swCustomPropertyDeleteAndAdd)
        result_code = swCustomPropertyManager.Add3(aenderungsindex, swCustomInfoType_e.swCustomInfoText, "1", swCustomPropertyAddOption_e.swCustomPropertyDeleteAndAdd)
        result_code = swCustomPropertyManager.Add3(datum, swCustomInfoType_e.swCustomInfoText, Date, swCustomPropertyAddOption_e.swCustomPropertyDeleteAndAdd)
    End If
End Sub
Code-Sprache: VB.NET (vbnet)

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert